Re: NVDA Alpha 18747 and Browse Mode

Tony Malykh
 

I'm getting very similar exceptions on the latest alpha in browse mode. However, in my case they don't affect the usability - they are being thrown every now and then, but the websites are still working. I cannot tell you precisely when they are thrown, since they seem to be thrown at random moments. I just checked the multiline edit box in gmail - it seems to work fine for me in Chrome.

--Tony

On 9/23/2019 10:20 PM, Nimer Jaber wrote:
Hello,

I am having some serious issues with the NVDA Alpha  18747 build and Browse mode.  I am experiencing errors when attempting to activate browse mode, and also when attempting to traverse through a multiline edit box such as the Gmail compose editor. Is anyone else seeing this?

ERROR - eventHandler.executeEvent (22:16:51.465) - MainThread (12508):
error executing event: focusEntered on <NVDAObjects.IAccessible.ia2Web.Ia2Web object at 0x0B2F3650> with extra args of {}
Traceback (most recent call last):
  File "eventHandler.pyc", line 155, in executeEvent
  File "eventHandler.pyc", line 92, in __init__
  File "eventHandler.pyc", line 100, in next
  File "NVDAObjects\__init__.pyc", line 1030, in event_focusEntered
  File "speech\__init__.pyc", line 385, in speakObject
  File "speech\__init__.pyc", line 254, in speakObjectProperties
  File "baseObject.pyc", line 42, in __get__
  File "baseObject.pyc", line 145, in _getPropertyViaCache
  File "NVDAObjects\IAccessible\__init__.pyc", line 1109, in _get_rowNumber
_ctypes.COMError: (-2147467259, 'Unspecified error', (None, None, None, 0, None))
ERROR - eventHandler.executeEvent (22:16:51.475) - MainThread (12508):
error executing event: focusEntered on <NVDAObjects.IAccessible.ia2Web.Ia2Web object at 0x0B2F3050> with extra args of {}
Traceback (most recent call last):
  File "eventHandler.pyc", line 155, in executeEvent
  File "eventHandler.pyc", line 92, in __init__
  File "eventHandler.pyc", line 100, in next
  File "NVDAObjects\__init__.pyc", line 1030, in event_focusEntered
  File "speech\__init__.pyc", line 385, in speakObject
  File "speech\__init__.pyc", line 254, in speakObjectProperties
  File "baseObject.pyc", line 42, in __get__
  File "baseObject.pyc", line 145, in _getPropertyViaCache
  File "NVDAObjects\IAccessible\__init__.pyc", line 1109, in _get_rowNumber
_ctypes.COMError: (-2147467259, 'Unspecified error', (None, None, None, 0, None))
ERROR - eventHandler.executeEvent (22:16:51.487) - MainThread (12508):
error executing event: focusEntered on <NVDAObjects.IAccessible.ia2Web.Ia2Web object at 0x04BCCF90> with extra args of {}
Traceback (most recent call last):
  File "eventHandler.pyc", line 155, in executeEvent
  File "eventHandler.pyc", line 92, in __init__
  File "eventHandler.pyc", line 100, in next
  File "NVDAObjects\__init__.pyc", line 1030, in event_focusEntered
  File "speech\__init__.pyc", line 385, in speakObject
  File "speech\__init__.pyc", line 254, in speakObjectProperties
  File "baseObject.pyc", line 42, in __get__
  File "baseObject.pyc", line 145, in _getPropertyViaCache
  File "NVDAObjects\IAccessible\__init__.pyc", line 1109, in _get_rowNumber
_ctypes.COMError: (-2147467259, 'Unspecified error', (None, None, None, 0, None))
ERROR - eventHandler.executeEvent (22:16:51.498) - MainThread (12508):
error executing event: gainFocus on <NVDAObjects.Dynamic_EditableTextWithAutoSelectDetectionEditorIa2WebIAccessible object at 0x0B312330> with extra args of {}
Traceback (most recent call last):
  File "speech\__init__.pyc", line 390, in speakObject
  File "documentBase.pyc", line 24, in makeTextInfo
  File "NVDAObjects\IAccessible\ia2TextMozilla.pyc", line 107, in __init__
  File "NVDAObjects\IAccessible\ia2TextMozilla.pyc", line 166, in _getSelectionBase
RuntimeError: No selection or caret

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "eventHandler.pyc", line 155, in executeEvent
  File "eventHandler.pyc", line 92, in __init__
  File "eventHandler.pyc", line 100, in next
  File "NVDAObjects\behaviors.pyc", line 180, in event_gainFocus
  File "NVDAObjects\__init__.pyc", line 1036, in event_gainFocus
  File "NVDAObjects\__init__.pyc", line 922, in reportFocus
  File "speech\__init__.pyc", line 399, in speakObject
  File "documentBase.pyc", line 24, in makeTextInfo
  File "NVDAObjects\IAccessible\ia2TextMozilla.pyc", line 88, in __init__
  File "NVDAObjects\IAccessible\ia2TextMozilla.pyc", line 205, in _findContentDescendant
LookupError: Object has no text descendants

--
Best,

Nimer Jaber

The message above is intended for the recipient to whom it was
addressed. If you believe that you are not the intended recipient,
please notify me via reply email and destroy all copies of this
correspondence. Action taken as a result of this email or its contents
by anyone other than the intended recipient(s) may result in civil or
criminal charges. I have checked this email and all corresponding
attachments for security threats. However, security of your machine is
up to you. Thanks.

Registered Linux User 529141.
http://counter.li.org/

To find out about a free and versatile screen reader for windows XP
and above, please click here:
http://www.nvda-project.org

You can follow @nimerjaber on Twitter for the latest technology news.

To contact me, you can reply to this email or you may call me at (970) (393-4481) and I will do my best to respond to you promptly. Thank
you, and have a great day!

Join nvda@nvda.groups.io to automatically receive all group messages.